classification
Title: Rewrite of docs for compiler.visitor
Type: Stage:
Components: Documentation Versions: Python 2.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: benjamin.peterson, georg.brandl, gpolo, jhylton, kjohnson
Priority: normal Keywords: patch

Created on 2004-12-09 02:06 by kjohnson, last changed 2010-08-21 23:07 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
compiler.visitor.txt kjohnson, 2006-03-29 13:53 Suggested rewrite of 19.4
compiler.visitor_doc_update.diff gpolo, 2008-03-22 19:04
Messages (5)
msg23614 - (view) Author: Kent Johnson (kjohnson) * Date: 2004-12-09 02:06
I was recently prompted to look at the docs for
compiler.visitor (Lib Ref 19.4 Using Visitors to Walk
ASTs). With all due respect it is not up to the
standards of most of the docs. I have attempted a
rewrite which is in the attachment.

I suggest also that the entry for walk() on the main
compiler doc page (19.1) should be updated to refer to
19.4 for details.

HTH
Kent
msg23615 - (view) Author: Kent Johnson (kjohnson) * Date: 2006-03-29 13:53
Logged In: YES 
user_id=49695

Hmmph. A year later I see I didn't actually attach my
suggested rewrite. Trying again.
msg64334 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-03-22 19:04
I have done some changes and did a patch against python-trunk
msg71965 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-26 01:35
The patch no longer applies cleanly.
msg114600 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-21 23:07
compiler is now deprecated and unmaintained anyway.
History
Date User Action Args
2010-08-21 23:07:31georg.brandlsetstatus: open -> closed
resolution: out of date
messages: + msg114600
2008-08-26 01:35:24benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg71965
2008-03-22 21:35:26georg.brandlsetassignee: jhylton -> georg.brandl
nosy: + georg.brandl
2008-03-22 19:04:29gpolosetfiles: + compiler.visitor_doc_update.diff
nosy: + gpolo
messages: + msg64334
2008-02-19 23:38:59akuchlingsetkeywords: + patch
2004-12-09 02:06:10kjohnsoncreate